#pragma once
#include "unit.h"



class Bubble : public Unit
{

  public:

    Unit*                     m_pCaughtUnit;

    std::string               m_CaughtImage;

    GR::f32                   m_fAnimTime;

    GR::tPoint                m_TruePosition;

    GR::f32                   m_fMovedDistance;

    bool                      m_bArrivedOnTop;

    GR::f32                   m_fTimeToPop;

    GR::tFPoint               m_ptFracPos;


    Bubble();
    virtual ~Bubble();


    virtual void              Display( const GR::tPoint& ptOffset, XRenderer& Renderer );
    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
